class ReservationItem < ApplicationRecord
	self.primary_key = "reservation_items_id"

	#primary key - need to be unique
  	before_create :generate_custom_id

	belongs_to :reservation, autosave: true

	private
	  def generate_custom_id
		self.reservation_items_id = SeedGenerator.generate_id(self.class.name, "RSI")
	  end
end
